using System;
using System.Collections.Generic;
using System.Collections;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class GasIgnore : MonoBehaviour
    {
        [SerializeField]
        public bool inhaleProt;
        [SerializeField]
        public bool skinProt;

        void Start()
        {
            GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("protbut", (Func<string>) (() => !this.skinProt ? "Ignore gas" : "Unignore gas"), "Make gas ignore this bodypart or not. Doesn't affect breathing.", new UnityAction[1]
            {
                (UnityAction) (() => 
                {
                    if (!skinProt)
                        skinProt = true;
                    else
                        skinProt = false;
                })
            }));
            if (!GetComponent<BreatheBehaviour>())
                return;
            GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("breathebut", (Func<string>) (() => !this.inhaleProt ? "Ignore breathing" : "Unignore breathing"), "Change whether or not gas will damage the lungs. Doesn't affect skin damage.", new UnityAction[1]
            {
                (UnityAction) (() => 
                {
                    if (!inhaleProt)
                        inhaleProt = true;
                    else
                        inhaleProt = false;
                })
            }));
        }
    }
}